# Renew a wallet handle token

## POST

/v1/wallet/renew

Renew a wallet handle token, increasing its expiration duration to its initial value

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/kmd/#api_key)**

## Request Body

The list of MIME types the operation can consume application/json

APIV1POSTWalletRenewRequest is the request for `POST /v1/wallet/renew`

object

**wallet_handle_token**  
string

## Responses

### 200

Response `POST /v1/wallet/renew`

The list of MIME types the operation can produce application/json

APIV1POSTWalletRenewResponse is the response to `POST /v1/wallet/renew`  
friendly:RenewWalletHandleTokenResponse

object

**error**  
boolean

**message**  
string

**wallet_handle**  
APIV1WalletHandle includes the wallet the handle corresponds to and the number of number of seconds to expiration

object

**expires_seconds**  
integer format: int64

**wallet**  
APIV1Wallet is the API’s representation of a wallet

object

**driver_name**  
string

**driver_version**  
integer format: uint32

**id**  
string

**mnemonic_ux**  
boolean

**name**  
string

**supported_txs**  
Array<string>
